r2763 - people/daniel/installer-initramfs/scripts/installer-bottom

daniel at alioth.debian.org daniel at alioth.debian.org
Tue Aug 14 09:12:59 UTC 2007


Author: daniel
Date: 2007-08-14 09:12:59 +0000 (Tue, 14 Aug 2007)
New Revision: 2763

Added:
   people/daniel/installer-initramfs/scripts/installer-bottom/01parted
Removed:
   people/daniel/installer-initramfs/scripts/installer-bottom/02_timezone
Log:


Copied: people/daniel/installer-initramfs/scripts/installer-bottom/01parted (from rev 2750, people/daniel/installer-initramfs/scripts/installer-bottom/02_timezone)
===================================================================
--- people/daniel/installer-initramfs/scripts/installer-bottom/01parted	                        (rev 0)
+++ people/daniel/installer-initramfs/scripts/installer-bottom/01parted	2007-08-14 09:12:59 UTC (rev 2763)
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+#set -e
+
+# initramfs-tools header
+
+PREREQ=""
+
+prereqs()
+{
+	echo "${PREREQ}"
+}
+
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
+esac
+
+# installer-initramfs header
+
+. /scripts/installer-functions
+
+log_begin_msg "Partitioning disk..."
+
+# installer-initramfs script
+
+dd if=/dev/zero of=/dev/hda bs=512 count=1
+
+parted -s /dev/hda mklabel msdos
+
+parted -s /dev/hda mkpartfs primary linux-swap 0.0 500
+parted -s /dev/hda mkpartfs primary ext2 500 100%
+
+parted -s /dev/hda set 1 lba on
+parted -s /dev/hda set 2 lba on
+
+log_end_msg

Deleted: people/daniel/installer-initramfs/scripts/installer-bottom/02_timezone
===================================================================
--- people/daniel/installer-initramfs/scripts/installer-bottom/02_timezone	2007-08-14 09:04:05 UTC (rev 2762)
+++ people/daniel/installer-initramfs/scripts/installer-bottom/02_timezone	2007-08-14 09:12:59 UTC (rev 2763)
@@ -1,50 +0,0 @@
-#!/bin/sh
-
-#set -e
-
-# initramfs-tools header
-
-PREREQ=""
-
-prereqs()
-{
-	echo "${PREREQ}"
-}
-
-case "${1}" in
-	prereqs)
-		prereqs
-		exit 0
-		;;
-esac
-
-# live-initramfs header
-
-. /scripts/live-functions
-
-log_begin_msg "Setting timezone..."
-
-# live-initramfs script
-
-if [ -n "${TIMEZONE}" ]; then
-    area="$(echo ${TIMEZONE} | cut -f1 -d '/')"
-    zone="$(echo ${TIMEZONE} | cut -f2 -d '/')"
-    chroot /root debconf-communicate -fnoninteractive live-initramfs > /dev/null <<EOF
-set tzdata/Areas $area
-set tzdata/Zones/$area $zone
-EOF
-    cp -f /root/usr/share/zoneinfo/${area}/${zone} /root/etc/localtime
-else
-    chroot /root debconf-communicate -fnoninteractive live-initramfs > /dev/null <<EOF
-set tzdata/Areas Etc
-set tzdata/Zones/Etc UTC
-EOF
-    cp -f /root/usr/share/zoneinfo/UTC /root/etc/localtime
-fi
-
-if [ -n "${UTC}" ]
-then
-	sed -i -e "s/UTC=.*/UTC=${UTC}/" /root/etc/default/rcS
-fi
-
-log_end_msg




More information about the debian-live-changes mailing list